/*
 * Copyright 2004-2005 Revolution Systems Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.revolsys.ui.web.config;

import java.util.Collection;

/**
 * @author Administrator
 */
public class InvalidConfigException extends Exception {
  /** The unique serial version UID for the class. */
  private static final long serialVersionUID = 2673339905395246016L;

  /**
   * Constructs an instance of <code>InvalidConfigException</code> with the
   * specified detail message.
   * 
   * @param message the detail message.
   */
  public InvalidConfigException(final String message) {
    super(message);
  }

  /**
   * Constructs an instance of <code>InvalidConfigException</code> with the
   * specified detail message.
   * 
   * @param message the detail message.
   */
  public InvalidConfigException(final String message, final Collection errors) {
    super(message);
    this.errors = errors;
  }

  public Collection getErrors() {
    return errors;
  }

  private Collection errors;
}
